summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-01-27 16:39:36 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-01-28 01:29:40 +0700
commitd4b67489ee415579416e00a98978d5e536a3d7a4 (patch)
tree554f9794927bfb3a9022e8d9d114dcdaf83cd40c
parenta57871ce6b8a31822c082d76fe21d4d06c0b0906 (diff)
downloadslackbuilds-d4b67489ee415579416e00a98978d5e536a3d7a4.tar.gz
slackbuilds-d4b67489ee415579416e00a98978d5e536a3d7a4.tar.xz
system/kbfs: Updated for version 1.0.40_20180127033950.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--system/kbfs/README6
-rw-r--r--system/kbfs/README.SBo11
-rw-r--r--system/kbfs/kbfs.SlackBuild35
-rw-r--r--system/kbfs/kbfs.info10
4 files changed, 50 insertions, 12 deletions
diff --git a/system/kbfs/README b/system/kbfs/README
index d6c92b384b..6de9a0c684 100644
--- a/system/kbfs/README
+++ b/system/kbfs/README
@@ -3,6 +3,12 @@ The Keybase Go Client, filesystem and GUI
This script package the whole bundle, not just the client app.
Choose one between kbfs or keybase. Do not install both.
+You will need to create a new user keybasehelper before building
+this package.
+
+groupadd -g keybasehelper keybasehelper
+useradd -u 352 -g keybasehelper -c "keybase helper user" -s /bin/false keybasehelper
+
NOTE: Read README.SBo for more instructions!!
google-go-lang and sshfs-fuse are runtime dependencies.
diff --git a/system/kbfs/README.SBo b/system/kbfs/README.SBo
index 6a30041716..ce49c6cb45 100644
--- a/system/kbfs/README.SBo
+++ b/system/kbfs/README.SBo
@@ -1,12 +1,15 @@
Post installation:
-- Create a new directory /keybase using root account
- mkdir /keybase
-- Change owner of that directory to the local user (eg. willysr)
- chown willysr /keybase
- Run run_keybase as local user
A new .desktop file will be created by the service on first launch
in ~/.config/autostart/ to invoke this script.
+NOTE:
+ Since upstream is using Debian as base distribution, they are using
+ sudo for most of their operations. While Slackware also support sudo
+ it's not commonly used. Thus, when running run_keybase for the first
+ time and you get prompted for a password, it will fail. You just need
+ to execute run_keybase again and it will work.
+
PS: You need to execute run_keybase after new installation or
upgrade from previous version. This script will stop existing
services and re-mount everything again.
diff --git a/system/kbfs/kbfs.SlackBuild b/system/kbfs/kbfs.SlackBuild
index 15fde05422..14e28b702a 100644
--- a/system/kbfs/kbfs.SlackBuild
+++ b/system/kbfs/kbfs.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for kbfs
-# Copyright 2017 Willy Sudiarto Raharjo <willysr@slackbuilds.org>
+# Copyright 2017-2018 Willy Sudiarto Raharjo <willysr@slackbuilds.org>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,12 +24,17 @@
PRGNAM=kbfs
SRCNAM=keybase
-VERSION=${VERSION:-1.0.38_20171221170044}
-COMMITVER=4c1f9803e
+VERSION=${VERSION:-1.0.40_20180127033950}
+COMMITVER=76a4b90c9
SRCVER=$(echo $VERSION | tr _ - )
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+KBFS_USER=${KBFS_USER:-keybasehelper}
+KBFS_UID=${KBFS_UID:-352}
+KBFS_GROUP=${KBFS_GROUP:-keybasehelper}
+KBFS_GID=${KBFS_GID:-352}
+
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i586 ;;
@@ -38,6 +43,20 @@ if [ -z "$ARCH" ]; then
esac
fi
+bailout() {
+ echo " You must have a $KBFS_USER user and $KBFS_GROUP group to run this script. "
+ echo " # groupadd -g $KBFS_GID $KBFS_GROUP "
+ echo " # useradd -u $KBFS_UID -g $KBFS_GID -c \"keybase helper user\" -s /bin/false $KBFS_USER "
+ exit 1
+}
+
+# Bail if user and/or group isn't valid on your system
+if ! grep -q "^$KBFS_USER:" /etc/passwd; then
+ bailout
+elif ! grep -q "^$KBFS_GROUP:" /etc/group; then
+ bailout
+fi
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -63,6 +82,7 @@ fi
set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $PKG
@@ -81,6 +101,15 @@ cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
# This is used only by Ubuntu/Debian derivatives
rm -rf $PKG/etc/cron.daily/
+mkdir -p $PKG/var/lib/keybase/
+chown $KBFS_USER:$KBFS_GROUP $PKG/usr/bin/keybase-mount-helper
+chmod 4755 $PKG/usr/bin/keybase-mount-helper
+(
+ ln -s /opt/keybase/mount-readme $PKG/var/lib/keybase/mount1
+ chown $KBFS_USER:$KBFS_GROUP $PKG/var/lib/keybase
+ ln -s /var/lib/keybase/mount1 $PKG/keybase
+)
+
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
diff --git a/system/kbfs/kbfs.info b/system/kbfs/kbfs.info
index 1b421df340..fb0a969dbb 100644
--- a/system/kbfs/kbfs.info
+++ b/system/kbfs/kbfs.info
@@ -1,10 +1,10 @@
PRGNAM="kbfs"
-VERSION="1.0.38_20171221170044"
+VERSION="1.0.40_20180127033950"
HOMEPAGE="https://github.com/keybase/kbfs"
-DOWNLOAD="https://s3.amazonaws.com/prerelease.keybase.io/linux_binaries/deb/keybase_1.0.38-20171221170044.4c1f9803e_i386.deb"
-MD5SUM="453ec023f4608806823ec65ec4f20937"
-DOWNLOAD_x86_64="https://s3.amazonaws.com/prerelease.keybase.io/linux_binaries/deb/keybase_1.0.38-20171221170044.4c1f9803e_amd64.deb"
-MD5SUM_x86_64="28052ffd753d357538c65eaa2f9fb25d"
+DOWNLOAD="https://s3.amazonaws.com/prerelease.keybase.io/linux_binaries/deb/keybase_1.0.40-20180127033950.76a4b90c9_i386.deb"
+MD5SUM="2c4877a3147f421b5c1bf672424e1e36"
+DOWNLOAD_x86_64="https://s3.amazonaws.com/prerelease.keybase.io/linux_binaries/deb/keybase_1.0.40-20180127033950.76a4b90c9_amd64.deb"
+MD5SUM_x86_64="8c5a3e9cdad67b2a90ac0500a08b6a63"
REQUIRES="google-go-lang sshfs-fuse"
MAINTAINER="Willy Sudiarto Raharjo"
EMAIL="willysr@slackbuilds.org"